Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway Class Reference

Base class for content type gateways. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway:

## Public Member Functions
| insertGroup (Group $group)
| Inserts the given $group. More...
| updateGroup (GroupUpdateStruct $group)
| Updates a group with data in $group. More...
| countTypesInGroup ($groupId)
| Returns the number of types in a certain group. More...
| countGroupsForType ($typeId, $status)
| Returns the number of Groups the type is assigned to. More...
| deleteGroup ($groupId)
| Deletes the Group with the given $groupId. More...
| loadGroupData (array $groupIds)
| Returns an array with data about the Group(s) with $groupIds. More...
| loadGroupDataByIdentifier ($identifier)
| Returns an array with data about the Group with $identifier. More...
| loadAllGroupsData ()
| Returns an array with data about all Group objects. More...
| loadTypesDataForGroup ($groupId, $status)
| Loads data for all Types in $status in $groupId. More...
| insertType (Type $type, $typeId=null)
| Inserts a new content type. More...
| insertGroupAssignment ($typeId, $status, $groupId)
| Insert assignment of $typeId to $groupId. More...
| deleteGroupAssignment ($groupId, $typeId, $status)
| Deletes a group assignments for a Type. More...
| loadFieldDefinition ($id, $status)
| Loads an array with data about field definition referred $id and $status. More...
| insertFieldDefinition ( $typeId, $status, FieldDefinition $fieldDefinition, StorageFieldDefinition $storageFieldDef)
| Inserts a $fieldDefinition for $typeId. More...
| deleteFieldDefinition ($typeId, $status, $fieldDefinitionId)
| Deletes a field definition. More...
| updateFieldDefinition ( $typeId, $status, FieldDefinition $fieldDefinition, StorageFieldDefinition $storageFieldDef)
| Updates a $fieldDefinition for $typeId. More...
| updateType ($typeId, $status, Type $type)
| Update a type with $updateStruct. More...
| loadTypesListData (array $typeIds)
| Loads an array with data about several Types in defined status. More...
| loadTypeData ($typeId, $status)
| Loads an array with data about $typeId in $status. More...
| loadTypeDataByIdentifier ($identifier, $status)
| Loads an array with data about the type referred to by $identifier in $status. More...
| loadTypeDataByRemoteId ($remoteId, $status)
| Loads an array with data about the type referred to by $remoteId in $status. More...
| countInstancesOfType ($typeId)
| Counts the number of instances that exists of the identified type. More...
| delete ($typeId, $status)
| Deletes a Type completely. More...
| deleteFieldDefinitionsForType ($typeId, $status)
| Deletes all field definitions of a Type. More...
| deleteType ($typeId, $status)
| Deletes a the Type. More...
| deleteGroupAssignmentsForType ($typeId, $status)
| Deletes all group assignments for a Type. More...
| publishTypeAndFields ($typeId, $sourceStatus, $targetStatus)
| Publishes the Type with $typeId from $sourceVersion to $targetVersion, including its fields. More...
| getSearchableFieldMapData ()
| Returns searchable fields mapping data. More...
| removeFieldDefinitionTranslation (int $fieldDefinitionId, string $languageCode, int $status)
| Removes fieldDefinition data from multilingual table. More...
| removeByUserAndVersion (int $userId, int $version)
| Removes items created or modified by the user. More...

## Detailed Description

Base class for content type gateways.

Definition at line 18 of file Persistence/Legacy/Content/Type/Gateway.php.

## Member Function Documentation

## ◆ countGroupsForType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::countGroupsForType | ( |  | $typeId,
|  |  | $status
| ) |  |
| abstract

Returns the number of Groups the type is assigned to.

Parameters

  int | $typeId |
  int | $status |

Returns
  int

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ countInstancesOfType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::countInstancesOfType | ( |  | $typeId | ) |
| abstract

Counts the number of instances that exists of the identified type.

Parameters

  int | $typeId |

Returns
  int

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ countTypesInGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::countTypesInGroup | ( |  | $groupId | ) |
| abstract

Returns the number of types in a certain group.

Parameters

  int | $groupId |

Returns
  int

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ delete()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::delete | ( |  | $typeId,
|  |  | $status
| ) |  |
| abstract

Deletes a Type completely.

Parameters

  mixed | $typeId |
  int | $status |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ deleteFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::deleteFieldDefinition | ( |  | $typeId,
|  |  | $status,
|  |  | $fieldDefinitionId
| ) |  |
| abstract

Deletes a field definition.

Parameters

  mixed | $typeId |
  int | $status |
  mixed | $fieldDefinitionId |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ deleteFieldDefinitionsForType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::deleteFieldDefinitionsForType | ( |  | $typeId,
|  |  | $status
| ) |  |
| abstract

Deletes all field definitions of a Type.

Parameters

  mixed | $typeId |
  int | $status |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ deleteGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::deleteGroup | ( |  | $groupId | ) |
| abstract

Deletes the Group with the given $groupId.

Parameters

  int | $groupId |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ deleteGroupAssignment()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::deleteGroupAssignment | ( |  | $groupId,
|  |  | $typeId,
|  |  | $status
| ) |  |
| abstract

Deletes a group assignments for a Type.

Parameters

  mixed | $groupId |
  mixed | $typeId |
  int | $status |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ deleteGroupAssignmentsForType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::deleteGroupAssignmentsForType | ( |  | $typeId,
|  |  | $status
| ) |  |
| abstract

Deletes all group assignments for a Type.

Parameters

  mixed | $typeId |
  int | $status |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ deleteType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::deleteType | ( |  | $typeId,
|  |  | $status
| ) |  |
| abstract

Deletes a the Type.

Does no delete the field definitions!

Parameters

  mixed | $typeId |
  int | $status |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ getSearchableFieldMapData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::getSearchableFieldMapData | ( |  | ) |
| abstract

Returns searchable fields mapping data.

Returns
  array

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ insertFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::insertFieldDefinition | ( |  | $typeId,
|  |  | $status,
|  | FieldDefinition | $fieldDefinition,
|  | StorageFieldDefinition | $storageFieldDef
| ) |  |
| abstract

Inserts a $fieldDefinition for $typeId.

Parameters

  mixed | $typeId |
  int | $status |
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |
  \eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldDefinition | $storageFieldDef |

Returns
  mixed Field definition ID

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ insertGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::insertGroup | ( | Group | $group | ) |
| abstract

Inserts the given $group.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type\Group | $group |

Returns
  mixed Group ID

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ insertGroupAssignment()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::insertGroupAssignment | ( |  | $typeId,
|  |  | $status,
|  |  | $groupId
| ) |  |
| abstract

Insert assignment of $typeId to $groupId.

Parameters

  mixed | $typeId |
  int | $status |
  mixed | $groupId |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ insertType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::insertType | ( | Type | $type,
|  |  | $typeId = `null`
| ) |  |
| abstract

Inserts a new content type.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type | $type |
  mixed | null | $typeId |

Returns
  mixed Type ID

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ loadAllGroupsData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::loadAllGroupsData | ( |  | ) |
| abstract

Returns an array with data about all Group objects.

Returns
  array

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ loadFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::loadFieldDefinition | ( |  | $id,
|  |  | $status
| ) |  |
| abstract

Loads an array with data about field definition referred $id and $status.

Parameters

  mixed | $id | field definition id
  int | $status | field definition status

Returns
  array Data rows.

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ loadGroupData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::loadGroupData | ( | array | $groupIds | ) |
| abstract

Returns an array with data about the Group(s) with $groupIds.

Parameters

  int[] | $groupIds |

Returns
  array

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ loadGroupDataByIdentifier()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::loadGroupDataByIdentifier | ( |  | $identifier | ) |
| abstract

Returns an array with data about the Group with $identifier.

Parameters

  string | $identifier |

Returns
  array

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ loadTypeData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::loadTypeData | ( |  | $typeId,
|  |  | $status
| ) |  |
| abstract

Loads an array with data about $typeId in $status.

Parameters

  mixed | $typeId |
  int | $status |

Returns
  array Data rows.

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ loadTypeDataByIdentifier()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::loadTypeDataByIdentifier | ( |  | $identifier,
|  |  | $status
| ) |  |
| abstract

Loads an array with data about the type referred to by $identifier in $status.

Parameters

  string | $identifier |
  int | $status |

Returns
  array(int=>array(string=>mixed)) Data rows.

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ loadTypeDataByRemoteId()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::loadTypeDataByRemoteId | ( |  | $remoteId,
|  |  | $status
| ) |  |
| abstract

Loads an array with data about the type referred to by $remoteId in $status.

Parameters

  mixed | $remoteId |
  int | $status |

Returns
  array(int=>array(string=>mixed)) Data rows.

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ loadTypesDataForGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::loadTypesDataForGroup | ( |  | $groupId,
|  |  | $status
| ) |  |
| abstract

Loads data for all Types in $status in $groupId.

Parameters

  mixed | $groupId |
  int | $status |

Returns
  string[][]

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ loadTypesListData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::loadTypesListData | ( | array | $typeIds | ) |
| abstract

Loads an array with data about several Types in defined status.

Parameters

  array | $typeIds |

Returns
  array Data rows.

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ publishTypeAndFields()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::publishTypeAndFields | ( |  | $typeId,
|  |  | $sourceStatus,
|  |  | $targetStatus
| ) |  |
| abstract

Publishes the Type with $typeId from $sourceVersion to $targetVersion, including its fields.

Parameters

  int | $typeId |
  int | $sourceStatus |
  int | $targetStatus |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion.

## ◆ removeByUserAndVersion()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::removeByUserAndVersion | ( | int | $userId,
|  | int | $version
| ) |  |
| abstract

Removes items created or modified by the user.

Parameters

  int | $userId |
  int | $version |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ removeFieldDefinitionTranslation()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::removeFieldDefinitionTranslation | ( | int | $fieldDefinitionId,
|  | string | $languageCode,
|  | int | $status
| ) |  |
| abstract

Removes fieldDefinition data from multilingual table.

Parameters

  int | $fieldDefinitionId |
  string | $languageCode |
  int | $status |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ updateFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::updateFieldDefinition | ( |  | $typeId,
|  |  | $status,
|  | FieldDefinition | $fieldDefinition,
|  | StorageFieldDefinition | $storageFieldDef
| ) |  |
| abstract

Updates a $fieldDefinition for $typeId.

Parameters

  mixed | $typeId |
  int | $status |
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |
  \eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldDefinition | $storageFieldDef |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ updateGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::updateGroup | ( | GroupUpdateStruct | $group | ) |
| abstract

Updates a group with data in $group.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type\Group\UpdateStruct | $group |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

## ◆ updateType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway::updateType | ( |  | $typeId,
|  |  | $status,
|  | Type | $type
| ) |  |
| abstract

Update a type with $updateStruct.

Parameters

  mixed | $typeId |
  int | $status |
  \eZ\Publish\SPI\Persistence\Content\Type | $type |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase.

The documentation for this class was generated from the following file:

- Persistence/Legacy/Content/Type/Gateway.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.